Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Interface EJBQLTranslatorFactory

All Known Implementing Classes:
  JdbcEJBQLTranslatorFactory

    public interface EJBQLTranslatorFactory

Defines a factory for translation visitors of EJBQL. DbAdapters can customize EJBQL translation by providing their own factory implementation.

Since:
  3.0
Author:
  Andrus Adamchik

Method Summary
`EJBQLExpressionVisitor` | `getAggregateColumnTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getConditionTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getDeleteTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getFromTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getGroupByTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getIdentifierColumnsTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getOrderByTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getSelectColumnsTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getSelectTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getUpdateItemTranslator(EJBQLTranslationContext context)`
`EJBQLExpressionVisitor` | `getUpdateTranslator(EJBQLTranslationContext context)`

Method Detail

### getSelectTranslator

    EJBQLExpressionVisitor getSelectTranslator(EJBQLTranslationContext context)

### getDeleteTranslator

    EJBQLExpressionVisitor getDeleteTranslator(EJBQLTranslationContext context)

### getUpdateTranslator

    EJBQLExpressionVisitor getUpdateTranslator(EJBQLTranslationContext context)

### getAggregateColumnTranslator

    EJBQLExpressionVisitor getAggregateColumnTranslator(EJBQLTranslationContext context)

### getConditionTranslator

    EJBQLExpressionVisitor getConditionTranslator(EJBQLTranslationContext context)

### getFromTranslator

    EJBQLExpressionVisitor getFromTranslator(EJBQLTranslationContext context)

### getGroupByTranslator

    EJBQLExpressionVisitor getGroupByTranslator(EJBQLTranslationContext context)

### getIdentifierColumnsTranslator

    EJBQLExpressionVisitor getIdentifierColumnsTranslator(EJBQLTranslationContext context)

### getOrderByTranslator

    EJBQLExpressionVisitor getOrderByTranslator(EJBQLTranslationContext context)

### getSelectColumnsTranslator

    EJBQLExpressionVisitor getSelectColumnsTranslator(EJBQLTranslationContext context)

### getUpdateItemTranslator

    EJBQLExpressionVisitor getUpdateItemTranslator(EJBQLTranslationContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.